/*
******************************************************************************

   LibBLT: extension stubs

   Copyright (C) 2001 Christoph Egger   [Christoph_Egger@t-online.de]
   Copyright (C) 2001 Brian S. Julin    [bri@tull.umassp.edu]

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#include <ggi/internal/blt.h>
#include <ggi/internal/blt_debug.h>

ggiBlt_t ggiBltTie(ggiGA_resource_handle *handles, int numhandles)
{
	if (handles == NULL) return NULL;
	if (handles[0] == NULL) return NULL;
	if (ggiGAGetVisual(handles[0]) == NULL) return NULL;
	return (LIBGGI_BLTEXT(ggiGAGetVisual(handles[0]))->tie(handles, numhandles));
}	/* ggiBltTie */


int ggiBltUntie(ggiBlt_t *blt)
{
	if (blt == NULL) return GGI_EARGINVAL;
	if (*blt == NULL) return GGI_EARGINVAL;
	if ((*blt)->vis == NULL) return GGI_EARGINVAL;
	return (LIBGGI_BLTEXT((*blt)->vis)->untie(blt));
}	/* ggiBltUntie */
